Podręcznik PHP
Poprzedni | Rozdział 3. Instalacja | Następny

# Instalacja na systemie Unix/Mac OS X

Ten rozdział zawiera wskazówki dotyczące instalacji PHP na systemach Mac OS X Server.

## Używanie pakietów

Jest kilka wstępnie spakowanych i wstępnie skompilowanych wersji PHP dla Mac OS X. Może to pomóc przy korzystaniu ze standardowej konfiguracji, ale jeśli potrzebujesz niestandardowych opcji (takich jak bezpieczny serwer lub driver do innej bazy danych), możesz potrzebować własnoręcznie przebudować PHP i/lub serwer WWW. Jeśli nie jesteś zaznajomiony z budowaniem i kompilacją własnego oprogramowania, warto jest sprawdzić czy ktoś już nie przygotował pakietu PHP z opcjami których potrzebujesz.

## Kompilacja na systemie OS X server

Są dwie nieznacznie różne wersja Mac OS X, client i server. Poniższe instrukcje dotyczą OS X Server.

Przykład 3-4. Instalacja na systemie Mac OS X server
    1. Pobierz najnowsze dystrybucje Apache i PHP
    2. Zdekompresuje je i uruchom program configure z pakietu Apache, np. tak:
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache

    4. Możesz także chcieć dodać linię
        setenv OPTIM=-O2
        Jeśli chcesz aby kompilator dokonał pewnej optymalizacji kodu.

    5. Póżniej, wejdź do katalogu ze źródłami PHP 4 i skonfiguruj je.
        ./configure --prefix=/usr \
        --sysconfdir=/etc \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --with-xml \
        --with-apache=/src/apache_1.3.12

        Jeśli masz jakieś dodatki (MySQL, GD itp.), dodaj je tutaj. W linii
        '--with-apache' wstaw ścieżkę do katalogu ze źródłami Apache, na przykład
        "/src/apache_1.3.12".
    6. make
    7. make install
        To doda katalog src/modules/php4 do katalogu ze źródłami Apache.

    8. Teraz, zrekonfiguruj Apache aby zbudował PHP 4.
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache \
        --activate-module=src/modules/php4/libphp4.a

        Możesz dostać wiadomość mówiącą, że libmodphp4.a jest za stary. Jeśli tak
        się stanie, wejdź do katalogu src/modules/php4 znajdującego się wewnątrz
        katalogu ze źródłami Apache i wydaj to polecenie:

        ranlib libmodphp4.a

        Potem wróć do katalogu głównego źródeł Apache'a i spróbuj jeszcze raz
        wydać polecenie configure takie jak wyżej. To uaktualni tablicę linków.

    9. make

    10. make install

    11. skopiuj i zmień nazwę pliku php.ini-dist do katalogu "bin" z katalogu ze
    źródłami PHP 4:
        cp php.ini-dist /usr/local/bin/php.ini

        lub (jeśli nie masz katalogu "local")

        cp php.ini-dist /usr/bin/php.ini

Inne przykłady dla Mac OS X client i Mac OS X server są dostępne na Stepwise.

## Kompilacja dla MacOS X client

Te wskazówki zostały przekazane przez Marca Liyanage.

Moduł PHP dla serwera WWW Apache został załączony w Mac OS X. Ta wersja zawiera obsługę baz danych MySQL i PostgreSQL.

UWAGA: Bądź ostrożny robiąc to, ponieważ możesz zepsuć swó serwer Apache.

Aby zainstalować:

- 1. Otwórz okno terminala

- 2. Napisz "wget http://www.diax.ch/users/liyanage/software/macosx/libphp4.so.gz", poczekaj aż skończy się pobieranie

- 3. Napisz "gunzip libphp4.so.gz"

- 4. Napisz "sudo apxs -i -a -n php4 libphp4.so"

Teraz napisz "`sudo open -a TextEdit /etc/httpd/httpd.conf`" Otworzy się TextEdit z plikiem konfiguracyjnym serwera WWW. Zlokalizuj linke na końcu pliku: (użyj polecenia Find)

    *	#AddType application/x-httpd-php .php
       *	#AddType application/x-httpd-php-source .phps

Usuń dwa znaki hash (`#`), a potem sapisz plik i wyjdź z programu TextEdit.

Na koniec, napisz "`sudo apachectl graceful`" aby zrestartować serwer.

PHP powinno teraz działać. Możesz przetestować je wrzucając plik test.php zawierający linię "`<?php phpinfo() ?>`" do foldera "Sites".

Teraz otwórz `127.0.0.1/~your_username/test.php` w swoje przeglądarce WWW Powinieneś zobaczyć tabelkę informacyjną o module PHP.

Poprzedni | Spis treści | Następny
Instalacja na systemie Unix/OpenBSD | Początek rozdziału | Kompletna lista opcji konfiguracji